using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using System.Linq;
using DG.Tweening;

public class CameraController : MonoBehaviour
{
    static public CameraController instance;
    Player[] players;
    public float speed = 2;
    public Camera cam;

    private Tween shakeTween;

    private void Awake() {
        players = FindObjectsOfType<Player>();
        cam = GetComponentInChildren<Camera>();
        instance = this;
    }

    private void LateUpdate() {
        Vector3 posSum = Vector3.zero;
        for (int i = 0; i < players.Length; i++) {
            posSum += players[i].transform.position;
        }

        posSum /= players.Length;
        posSum.z = transform.position.z;

        Vector3 vectorToCenter = posSum - transform.position;

        transform.position = Vector3.MoveTowards(transform.position, posSum, vectorToCenter.magnitude * Time.deltaTime * speed);
    }

    public void Screenshake(float duration) {
        cam.transform.DOComplete();
        cam.transform.DOShakePosition(duration, 0.5f, 40, 90);
    }
}
