using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;
using UnityEngine.UI;
using DG.Tweening;

public class GameController : MonoBehaviour
{
    public Egg[] eggs;
    public Hole hole;
    public Arrow arrow;
    public SpriteRenderer vfxFade;
    public RectTransform logo;
    public AudioSource music;

    public static GameController instance;

    private bool logoHidden = false;

    private void Awake() {
        instance = this;
    }

    private void Update() {
        if (Input.GetKeyDown(KeyCode.Escape)) {
            Application.Quit();
        }

        if (Input.GetKeyDown(KeyCode.R)) {
            SceneManager.LoadScene(0);
        }

        if (Input.GetKeyDown(KeyCode.F1)) {
            if (music.isPlaying) music.Pause();
            else music.Play();
        }
    }

    public void HideLogo() {
        if (logoHidden) return;
        logoHidden = true;

        logo.DOLocalMoveY(1100, 0.4f).SetEase(Ease.InBack);
    }
}
