using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;
using DG.Tweening;

public class PlayerUI : MonoBehaviour {
    public Player player;
    private UIEgg[] eggs;
    public RectTransform icon;
    public RectTransform crown;
    public RectTransform labelWins;
    public Image fade;

    private void Awake() {
        eggs = GetComponentsInChildren<UIEgg>();
        player.OnDiggletGained += Player_OnDiggletGained;

        
    }

    private void Update() {
        if ((player.playerId == 0 && Input.GetKeyDown(KeyCode.U)) ||
            (player.playerId == 1 && Input.GetKeyDown(KeyCode.I))) {

            AnimateWin();
        }
    }

    private void Start() {
        for (int i = 0; i < eggs.Length; i++) {
            eggs[i].Appear(0.2f + i * 0.15f);
        }
    }

    private void Player_OnDiggletGained(int index) {
        if (index == 4) AnimateWin();

        if (index >= eggs.Length) return;

        eggs[index].SetFull();
    }

    public void AnimateWin() {
        icon.SetParent(transform.parent.parent, true);

        fade.gameObject.SetActive(true);
        Color fadeColor = fade.color;
        fade.color = fadeColor.SetA(0);
        fade.DOFade(0.6f, 1f);

        Sequence seq = DOTween.Sequence()
        .Append(icon.DOAnchorPos3D(Vector3.zero, 0.5f).SetEase(Ease.OutBack))
        .Append(icon.DOScale(2.2f, 0.3f).SetEase(Ease.OutBack))
        .Append(crown.DOLocalMove(Vector3.zero, 0.8f).SetEase(Ease.OutBounce, 0.2f, 1f));
        labelWins.DOScale(0.8f, 0.25f).SetEase(Ease.OutBack).SetDelay(2f);

    }
}
