using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using DG.Tweening;

public class SpawnVFX : MonoBehaviour
{
    public float lifetime = 1;

    private void OnEnable() {
        transform.localScale = transform.localScale.SetX(0);
        transform.DOScaleX(1f, 0.1f);
        Sounds.Play(Sounds.instance.eggVfxSfx, transform.position);
        SpriteRenderer vfxFade = GameController.instance.vfxFade;
        vfxFade.DOKill();
        vfxFade.DOFade(0.5f, 0.1f);
        vfxFade.DOFade(0f, 0.1f).SetDelay(lifetime - 0.1f);

        DOVirtual.DelayedCall(lifetime - 0.1f, () => {
            transform.DOScaleX(0f, 0.1f).OnComplete(() => Destroy(gameObject));
        }, false);
    }
}
