using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class SpriteAnimator : MonoBehaviour {
    [System.Serializable]
    public struct Anim {
        public Sprite[] sprites;
        public float frameLength;
    }

    public Anim currentAnim;

    private SpriteRenderer sr;
    private int spriteIndex;
    private float frameTimer;

    private void Awake() {
        sr = GetComponent<SpriteRenderer>();
    }

    private void Update() {
        frameTimer += Time.deltaTime;

        if (currentAnim.sprites.Length == 0) return;

        if (frameTimer >= currentAnim.frameLength) {
            frameTimer -= currentAnim.frameLength;
            spriteIndex++;
            if (spriteIndex >= currentAnim.sprites.Length) {
                spriteIndex = 0;
            }

            sr.sprite = currentAnim.sprites[spriteIndex];
        }

    }

    public void SetAnim(Anim anim) {
        currentAnim = anim;
        spriteIndex = 0;
        frameTimer = 0;

        sr.sprite = currentAnim.sprites[spriteIndex];
    }
}
